
QGIS Application - Feature request #2908

Collapsed layers when opening a project

2010-07-27 05:09 AM - jmburgos -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 12968

Description

This is really a minor annoyance, but could it be possible to have all layers collapsed when opening a project?  I found myself using the

"collapse all" option every time after opening a project.  The reason is that when there are multiple layers, with multiple classifications,

most of them are not visible if all layers are expanded.

Thanks, and keep up with the good work!

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-18 06:54 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13 (and before), the state (expanded, collapsed) of each group of layer is stored into the project. When you open it, this state is kept as it was on

last project save (collapsed or not).

I am closing this feature request...
